Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Interface BindingUpdatable

All Known Subinterfaces:
  FullBinding

All Known Implementing Classes:
  AbstractFullBinding, ModelBinding

    public interface BindingUpdatable

Since:
  Groovy 1.1
Version:
  $Revision: 7953 $
Author:
  Danno Ferrin

Method Summary
`void` | `bind()` Causes automatic updating of bound values to be turned on.
`void` | `rebind()` Causes the current bindings to be reset.
`void` | `reverseUpdate()` If supported, Causes the values to be propigated from the target to the source, If not supported, an exception may be thrown
`void` | `unbind()` Causes automatic updating of bound values to be turned off.
`void` | `update()` Causes the values to be propigated from the source to the target

Method Detail

### bind

    void bind()

  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

### unbind

    void unbind()

  Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.

### rebind

    void rebind()

  Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.

### update

    void update()

  Causes the values to be propigated from the source to the target

### reverseUpdate

    void reverseUpdate()

  If supported, Causes the values to be propigated from the target to the source, If not supported, an exception may be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD